### Method

# Ggit Config snapshot

#### Declaration [src]

    GgitConfig*
    ggit_config_snapshot (
      GgitConfig* config
      GError** error
    )

#### Description [src]

Create a snapshot of the current state of the configuration, which allows you to look into a consistent view of the configuration for looking up complex values (e.g. a remote, submodule).

#### Return value

Type: `GgitConfig`

A new `GgitConfig`, or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.